using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal class dprograms_t
	{
		public void SwapBytes()
		{
			this.version = common.LittleLong(this.version);
			this.crc = common.LittleLong(this.crc);
			this.ofs_statements = common.LittleLong(this.ofs_statements);
			this.numstatements = common.LittleLong(this.numstatements);
			this.ofs_globaldefs = common.LittleLong(this.ofs_globaldefs);
			this.numglobaldefs = common.LittleLong(this.numglobaldefs);
			this.ofs_fielddefs = common.LittleLong(this.ofs_fielddefs);
			this.numfielddefs = common.LittleLong(this.numfielddefs);
			this.ofs_functions = common.LittleLong(this.ofs_functions);
			this.numfunctions = common.LittleLong(this.numfunctions);
			this.ofs_strings = common.LittleLong(this.ofs_strings);
			this.numstrings = common.LittleLong(this.numstrings);
			this.ofs_globals = common.LittleLong(this.ofs_globals);
			this.numglobals = common.LittleLong(this.numglobals);
			this.entityfields = common.LittleLong(this.entityfields);
		}

		public int version;

		public int crc;

		public int ofs_statements;

		public int numstatements;

		public int ofs_globaldefs;

		public int numglobaldefs;

		public int ofs_fielddefs;

		public int numfielddefs;

		public int ofs_functions;

		public int numfunctions;

		public int ofs_strings;

		public int numstrings;

		public int ofs_globals;

		public int numglobals;

		public int entityfields;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dprograms_t));
	}
}
